.app.koboldworks.theory {
	min-width: 700px;

	form {
		select,
		input[type='checkbox'] {
			cursor: pointer;
		}

		.config {
			display: flex;
			row-gap: 3px;
			column-gap: 1em;
			flex-flow: wrap;

			label {
				white-space: nowrap;
			}

			.config-item {
				display: flex;
				align-items: center;
				flex-wrap: nowrap;
			}

			:is(.spell, .size, .estimate, .cl) {
				display: flex;
				gap: 0 0.3em;
				align-items: center;
				flex: 0;
			}

			.estimate {
				flex: 1;
			}

			.spell .cl {
				display: flex;

				input {
					width: 4em;
					text-align: center;
				}
			}

			.attacks {
				display: flex;
				flex-basis: 100%;
			}
		}

		> .attack {
			// Tab content
			.formulas {
				display: grid;
				grid-template-columns: 1.5rem 2fr minmax(min-content, 6rem) 6rem 8rem 8rem;
				grid-template-rows: min-content;
				gap: 1px;

				input[type='checkbox'] {
					margin: 0;
				}

				input[type='text'] {
					height: 1.6em;
				}

				h3,
				h4,
				h5 {
					margin: 0;
					padding: 0;
				}

				::placeholder {
					color: #54443dab;
				}

				list-style: none;
				margin: 0;
				padding: 0;

				li {
					display: contents;

					&.disabled {
						> * {
							opacity: 0.6;
						}
					}

					&:nth-child(3n + 2) > * {
						background-color: rgba(100, 90, 80, 0.1);
					}

					> * {
						border: 1px solid #48200a29;
						padding: 0 3px;
						line-height: 1.5;
						align-self: center;
					}

					.estimate,
					.min-max {
						white-space: nowrap;
					}

					&.header {
						> * {
							background-color: rgba(40, 30, 10, 0.2);
							font-weight: bold;
							margin: 0;
							border-top-left-radius: 5px;
							border-top-right-radius: 5px;
						}
					}

					&.footer {
						text-align: center;

						.total {
							grid-column: span 2;
							border-bottom-left-radius: 5px;
							border-bottom-right-radius: 5px;
							font-weight: bold;
							background-color: rgba(80, 70, 60, 0.15);
						}
					}

					&.total {
						> * {
							margin-top: 3px;
						}

						.estimate,
						.min-max {
							background-color: #73f1d730;
							font-weight: bold;
						}
					}

					.estimate,
					.min-max,
					.types,
					.metatype {
						text-align: center;
					}

					&.details label,
					&.label h5,
					&.info label,
					&.sub-header h3 {
						grid-column: span 5;
						border: none;
						background: unset;
					}

					&.sub-header h3 {
						font-weight: bold;
						border-top-left-radius: 5px;
						border-top-right-radius: 5px;
						background-color: rgba(40, 30, 10, 0.1);
						border: 1px solid #48200a29;
						margin-top: 0.2em;
					}

					&.label h5 {
						margin-top: 0.1em;
					}

					&.details label {
						font-size: var(--font-size-11, 8pt);
						margin-bottom: 0.2em;

						border: 1px solid #5c350f36;
						border-top: unset;
						border-bottom-left-radius: 5px;
						border-bottom-right-radius: 5px;

						line-height: 1.2;
					}

					&.error .formula {
						background-color: #ff41002e;
					}
				}

				li .faded,
				.faded {
					opacity: 0.3;
				}

				.vis-hidden {
					visibility: hidden;
				}

				.collapsed {
					display: none;
				}
			}
		}
	}
}
